On Tue, Jul 01, 2003 at 08:50:38PM +0100, Josef Karthauser wrote:
> >
> > RH8 is at 2.4.18. The linuxulator sets the value to 2.4.2 as that
> > was the kernel revision in RH 7.2
> > Therefore: try 2.4.18
> >

>
> Ahha, that appears to work:
> sysctl compat.linux.osrelease=2.4.18
>
> I've since found that I was nailing the values in /etc/sysctl.conf,
> #compat.linux.osname=FreeBSD
> #compat.linux.osrelease=5.0-current
> so that opera reported the correct things.


This was actually the primary reason for having osname and osrelease
in the first place: people wanted their Linux browser to report
FreeBSD :-)

BTW: you can have this on a per-jail basis, so you have a way to
have opera report FreeBSD, while still making Vmware happy.

--
Marcel Moolenaar USPA: A-39004 marcel@xcllnt.net
_______________________________________________
freebsd-emulation@freebsd.org mailing list
http://lists.freebsd.org/mailman/lis...ebsd-emulation
To unsubscribe, send any mail to "freebsd-emulation-unsubscribe@freebsd.org"